# Makefile for libipvs

CC	= gcc
INCLUDE	= -I/usr/src/linux/include -I../../.
CFLAGS	= -Wall -Wunused -Wstrict-prototypes -g -O2 $(INCLUDE)


.PHONY		= all clean install dist distclean rpm rpms
STATIC_LIB	= libipvs.a

all:		$(STATIC_LIB)

$(STATIC_LIB):	libipvs.o
		ar rv $@ $^

%.o:		%.c
		$(CC) $(CFLAGS) $(INCLUDE) -o $@ -c $<

clean:
		rm -f *.[ao] *~ *.orig *.rej core

distclean:	clean
